import { OnInit } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { TranslateService } from '@ngx-translate/core';
import { AuthService } from '../../../services/auth/auth.service';
import { IUser } from '../../../types/models/User';
import * as i0 from "@angular/core";
export declare class ProfileBaseComponent implements OnInit {
    protected authService: AuthService;
    protected translate: TranslateService;
    form: UntypedFormGroup;
    passwordForm: UntypedFormGroup;
    oldUserObj: IUser;
    userObj: {
        firstname: any;
        lastname: any;
        email: any;
        username: any;
        password: any;
        password_confirmation: any;
        oldPassword: any;
        provider: any;
    };
    redirectDelay: number;
    showMessages: any;
    submitted: boolean;
    passwordSubmitted: boolean;
    errors: string[];
    messages: string[];
    config: {
        firstnameRequired: boolean;
        firstnameMinLength: number;
        firstnameMaxLength: number;
        lastnameRequired: boolean;
        lastnameMinLength: number;
        lastnameMaxLength: number;
        usernameRequired: boolean;
        usernameMinLength: number;
        usernameMaxLength: number;
        emailRequired: boolean;
        passwordRequired: boolean;
        passwordMinLength: number;
        passwordMaxLength: number;
    };
    constructor(authService: AuthService, translate: TranslateService);
    ngOnInit(): void;
    /**
     * Update UserData if changed
     */
    update(): void;
    /**
     * Update password if changed
     * and confirmed
     */
    updatePassword(): void;
    private clearErrors;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProfileBaseComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ProfileBaseComponent, "strapi-profile-base", never, {}, {}, never, never, false>;
}
